summaryrefslogtreecommitdiff
path: root/taler-build/update_merchant.sh
diff options
context:
space:
mode:
Diffstat (limited to 'taler-build/update_merchant.sh')
-rwxr-xr-xtaler-build/update_merchant.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/taler-build/update_merchant.sh b/taler-build/update_merchant.sh
index 60940ee..18cb922 100755
--- a/taler-build/update_merchant.sh
+++ b/taler-build/update_merchant.sh
@@ -32,13 +32,15 @@ fi
make
make install
-TALER_MERCHANTDB_POSTGRES_CONFIG=$TALER_CHECKDB TALER_EXCHANGEDB_POSTGRES_CONFIG=$TALER_CHECKDB make check
if test ${1:-notgiven} = "--coverage"; then
TOP=$(pwd)
mkdir -p doc/coverage/
lcov -d $TOP -z
+ TALER_MERCHANTDB_POSTGRES_CONFIG=$TALER_CHECKDB TALER_EXCHANGEDB_POSTGRES_CONFIG=$TALER_CHECKDB make check || exit 1
lcov -d $TOP -c --no-external -o doc/coverage/coverage.info
lcov -r doc/coverage/coverage.info **/test_* -o doc/coverage/rcoverage.info
genhtml -o doc/coverage doc/coverage/rcoverage.info
+else
+ TALER_MERCHANTDB_POSTGRES_CONFIG=$TALER_CHECKDB TALER_EXCHANGEDB_POSTGRES_CONFIG=$TALER_CHECKDB make check
fi